pipeline:
  lint-python:
    group: lint
    image: openlp/debian
    pull: true
    commands:
      - sh scripts/generate_resources.sh
      - flake8

  lint-javascript:
    group: lint
    image: openlp/angular
    pull: true
    commands:
      - yarn install
      - yarn lint
